/airtable | Type: Application | PCID required: Yes
Tools
airtable_add_base_collaborator
Add base collaborator Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
collaborators | any[] | Yes | — | This endpoint accepts two types of collaborators: individual user and group. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"collaborators": {
"type": "array",
"description": "This endpoint accepts two types of collaborators: **individual user** and **group**."
}
},
"required": [
"PCID",
"baseId",
"collaborators"
]
}
airtable_add_interface_collaborator
Add interface collaborator Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
pageBundleId | string | Yes | — | Page Bundle Id |
collaborators | any[] | Yes | — | This endpoint accepts two types of collaborators: individual user and group. This route currently supports adding only one collaborator at a time. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"pageBundleId": {
"type": "string",
"description": "Page Bundle Id"
},
"collaborators": {
"type": "array",
"description": "This endpoint accepts two types of collaborators: **individual user** and **group**. This route currently supports adding only one collaborator at a time."
}
},
"required": [
"PCID",
"baseId",
"pageBundleId",
"collaborators"
]
}
airtable_add_workspace_collaborator
Add workspace collaborator Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | string | Yes | — | Workspace Id |
collaborators | any[] | Yes | — | This endpoint accepts two types of collaborators: individual user and group. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "string",
"description": "Workspace Id"
},
"collaborators": {
"type": "array",
"description": "This endpoint accepts two types of collaborators: **individual user** and **group**."
}
},
"required": [
"PCID",
"workspaceId",
"collaborators"
]
}
airtable_audit_log_events
Audit log events Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
startTime | string | No | — | Earliest audit log event to retrieve (inclusive), in ISO 8601 date time format. Optional. Defaults to the beginning of the retention period, 180 days ago. |
endTime | string | No | — | Latest audit log event to retrieve (exclusive), in ISO 8601 date time format. Optional. Defaults to now. |
originatingUserId | string[] | No | — | Retrieve audit log events originating from the provided user ID or IDs (maximum 100). Optional. |
eventType | string[] | No | — | Retrieve audit log events falling under the provided event type or event types (maximum 100). Optional. |
modelId | string[] | No | — | Retrieve audit log events taking action on, or involving, the provided model ID or IDs (maximum 100). Optional. |
pageSize | number | No | — | The number of events per page. Maximum value of 1000; defaults to 10. |
sortOrder | string | No | — | Sort the events by timestamp in ascending or descending order. Defaults to descending. |
previous | string | No | — | If there are older items to retrieve, a previous is returned. Pass the previous from a prior call to retrieve the next-oldest page of items. You may pass the special value null to indicate “use the default behavior”, which operates identically to omitting the previous parameter entirely. |
next | string | No | — | If there are newer items to retrieve, a next is returned. Pass the next from a prior call to retrieve the next-newest page of items. You may pass the special value null to indicate “use the default behavior”, which operates identically to omitting the next parameter entirely. |
category | string[] | No | — | The category value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"startTime": {
"type": "string",
"description": "Earliest audit log event to retrieve (inclusive), in ISO 8601 date time format. Optional. Defaults to the beginning of the retention period, 180 days ago."
},
"endTime": {
"type": "string",
"description": "Latest audit log event to retrieve (exclusive), in ISO 8601 date time format. Optional. Defaults to now."
},
"originatingUserId": {
"type": "array",
"items": {
"type": "string"
},
"description": "Retrieve audit log events originating from the provided user ID or IDs (maximum 100). Optional."
},
"eventType": {
"type": "array",
"items": {
"type": "string",
"enum": [
"createBase",
"deleteBase",
"moveBase",
"duplicateBase",
"viewBase",
"updateBaseName",
"updateBaseGuideText",
"restoreBaseFromSnapshot",
"restoreBaseFromTrash",
"applyChangesFromSandbox",
"enableShare",
"disableShare",
"configureShare",
"regenerateShare",
"viewShare",
"downloadAttachment",
"addBaseInviteLink",
"removeBaseInviteLink",
"configureBaseInviteLink",
"changeBaseAiPermissions",
"createSandboxBase",
"inviteBaseCollaborator",
"addBaseCollaborator",
"changeBaseInvitePermission",
"changeBaseCollaboratorPermission",
"removeBaseCollaborator",
"uninviteBaseCollaborator",
"resendBaseInvite",
"createCustomDomain",
"deleteCustomDomain",
"createGroup",
"deleteGroup",
"moveGroup",
"addGroupMember",
"changeGroupMemberRole",
"removeGroupMember",
"deleteGroupInvite",
"resendGroupInvite",
"inviteGroupMember",
"createRole",
"loginUser",
"claimUser",
"unclaimUser",
"createUser",
"deleteUser",
"provisionUser",
"deactivateUser",
"updateUserEmail",
"changePassword",
"updateUserProfilePicture",
"userAssignedLicense",
"userAssignedGridGlobalLicense",
"createServiceAccount",
"deleteServiceAccount",
"moveServiceAccount",
"acceptTermsOfUse",
"linkSsoIdentity",
"updateSsoIdentity",
"createSsoExternalUser",
"addTwoFactorAuthenticationStrategy",
"removeTwoFactorAuthenticationStrategy",
"regenerateTwoFactorAuthenticationBackupCodes",
"setDefaultTwoFactorAuthenticationStrategy",
"disableTwoFactorAuthentication",
"createOauthAccessToken",
"refreshOauthAccessToken",
"createSyncIntegrationSource",
"renameSyncIntegrationSource",
"reconnectSyncIntegrationSource",
"deleteSyncIntegrationSource",
"connectSyncIntegrationToTable",
"changeSyncIntegrationTableSource",
"disconnectSyncIntegrationFromTable",
"createPersonalAccessToken",
"grantEnterpriseAdminAccess",
"revokeEnterpriseAdminAccess",
"grantEnterpriseUpgraderAccess",
"revokeEnterpriseUpgraderAccess",
"updateEnterpriseName",
"deleteEnterpriseStripeCard",
"updateEnterpriseStripeCard",
"updateEnterprisePaymentMethod",
"retryEnterprisePayment",
"updateEnterpriseInvoiceDetails",
"createOrgUnit",
"deleteOrgUnit",
"createEdiscoveryExport",
"updateSettingLock",
"updateOrgUnitConnection",
"updateMembershipCaptureType",
"updateEnterpriseTaxDetails",
"deleteEnterpriseTaxDetails",
"changeEnterpriseInviteRestrictions",
"changeEnterprisePortalInviteRestrictions",
"changeEnterpriseGlobalShareRestrictions",
"changeEnterpriseInterfaceOrgWideSharingRestrictions",
"changeEnterpriseGroupCreateRestrictions",
"changeEnterpriseIpAddressAccessRestrictions",
"changeEnterpriseExtensionConfigurationRestrictions",
"changeEnterpriseDataRetentionPolicy",
"changeEnterpriseAiRestrictionPolicy",
"changeEnterpriseMfaPolicy",
"changeEnterpriseLicenseUpgradeRequestConfig",
"changeDataTableInstallationRestrictions",
"changeEnterpriseColors",
"changeEnterpriseTermsOfUseOptions",
"changeEnterpriseDataExportControlRestrictions",
"changeEnterpriseSensitivityLabels",
"changeEnterpriseSensitivityLabelSetting",
"changeEnterpriseWorkspaceAppCreationRestrictions",
"addUserOrGroupToEnterpriseRestrictionAllowlist",
"removeUserOrGroupFromEnterpriseRestrictionAllowlist",
"changeEnterpriseOutboundAccessRestrictions",
"addOutboundAccessAllowlistEntry",
"removeOutboundAccessAllowlistEntry",
"applyDefaultEnterpriseSetting",
"createSsoIdentityProvider",
"updateSsoIdentityProvider",
"deleteSsoIdentityProvider",
"unlinkUserSsoIdentity",
"setEmailDomainSsoPiggybacking",
"clearEmailDomainSsoPiggybacking",
"requestLicenseUpgrade",
"approveLicenseUpgradeRequest",
"denyLicenseUpgradeRequest",
"createManagedApp",
"createComponent",
"deleteManagedApp",
"deleteComponent",
"publishManagedApp",
"publishComponent",
"updateManagedAppName",
"updateComponentName",
"addManagedAppAudienceMember",
"addComponentAudienceMember",
"removeManagedAppAudienceMember",
"removeComponentAudienceMember",
"addManagedAppCollaborator",
"addComponentCollaborator",
"changeManagedAppCollaboratorPermission",
"changeComponentCollaboratorPermission",
"removeManagedAppCollaborator",
"removeComponentCollaborator",
"createPublishedDataset",
"changePublishedDatasetName",
"deletePublishedDataset",
"updatePublishedDatasetOwner",
"updatePublishedDatasetAudiences",
"updatePublishedDatasetVerificationStatus",
"deactivatePublishedDataset",
"reactivatePublishedDataset",
"createDataTable",
"updateDataTableSource",
"updateDataTableSingleSelectColumnChoices",
"deleteDataTable",
"createPublishedDatasetFromDataTable",
"updateDataTablePublishedDataSet",
"updateDataTablePublishedDataSetStatus",
"abortDataTableImportInProgress",
"moveDataTable",
"createWorkspace",
"deleteWorkspace",
"restoreWorkspaceFromTrash",
"moveWorkspace",
"changeWorkspaceSharingRestrictions",
"addWorkspaceInviteLink",
"configureWorkspaceInviteLink",
"removeWorkspaceInviteLink",
"updateWorkspaceName",
"changeWorkspaceAiPermissions",
"inviteWorkspaceCollaborator",
"addWorkspaceCollaborator",
"changeWorkspaceInvitePermission",
"changeWorkspaceCollaboratorPermission",
"removeWorkspaceCollaborator",
"uninviteWorkspaceCollaborator",
"resendWorkspaceInvite",
"viewInterface",
"deleteInterface",
"restoreInterfaceFromTrash",
"duplicateInterface",
"createInterface",
"updateInterfaceName",
"publishInterface",
"unpublishInterface",
"openRecordDetailsFromInterface",
"viewForm",
"publishForm",
"unpublishForm",
"configureFormSharingSettings",
"inviteInterfaceCollaborator",
"addInterfaceCollaborator",
"changeInterfaceInvitePermission",
"changeInterfaceCollaboratorPermission",
"removeInterfaceCollaborator",
"uninviteInterfaceCollaborator",
"resendInterfaceInvite",
"configureInterfaceOrgWideSharing",
"createPortal",
"deletePortal",
"invitePortalCollaborator",
"addPortalCollaborator",
"changePortalInvitePermission",
"changePortalCollaboratorPermission",
"removePortalCollaborator",
"uninvitePortalCollaborator",
"downloadCSV",
"aiCreditConsumed",
"moderateAiContent",
"installSolution",
"updateSolutionVersion",
"updateAutomationSubscribers"
]
},
"description": "Retrieve audit log events falling under the provided event type or event types (maximum 100). Optional."
},
"modelId": {
"type": "array",
"items": {
"type": "string"
},
"description": "Retrieve audit log events taking action on, or involving, the provided model ID or IDs (maximum 100). Optional."
},
"pageSize": {
"type": "number",
"description": "The number of events per page. Maximum value of 1000; defaults to 10."
},
"sortOrder": {
"type": "string",
"description": "Sort the events by timestamp in ascending or descending order. Defaults to descending.",
"enum": [
"descending",
"ascending"
]
},
"previous": {
"type": "string",
"description": "If there are older items to retrieve, a **previous** is returned. Pass the **previous** from a prior call to retrieve the next-oldest page of items. You may pass the special value `null` to indicate \"use the default behavior\", which operates identically to omitting the **previous** parameter entirely."
},
"next": {
"type": "string",
"description": "If there are newer items to retrieve, a **next** is returned. Pass the **next** from a prior call to retrieve the next-newest page of items. You may pass the special value `null` to indicate \"use the default behavior\", which operates identically to omitting the **next** parameter entirely."
},
"category": {
"type": "array",
"items": {
"type": "string",
"enum": [
"base",
"baseCollaboration",
"groups",
"role",
"share",
"user",
"twoFactorAuthentication",
"oauth",
"personalAccessToken",
"enterprise",
"enterpriseSettings",
"enterpriseLicenses",
"managedApps",
"components",
"publishedDataSets",
"dataTable",
"workspace",
"workspaceCollaboration",
"interface",
"standaloneForms",
"interfaceCollaboration",
"view",
"ai",
"solution",
"portal",
"workflow",
"customDomain"
]
},
"description": "The category value"
}
},
"required": [
"PCID",
"enterpriseAccountId"
]
}
airtable_change_events
Change events Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
startTime | string | No | — | Earliest change event to retrieve (inclusive), in ISO 8601 date time format. Optional. |
endTime | string | No | — | Latest change event to retrieve (exclusive), in ISO 8601 date time format. Optional. |
pageSize | number | No | — | The number of records per page. Maximum value of 100; defaults to 10. |
offset | string | No | — | If there may be more to retrieve, an offset is returned. Pass the offset to the next call to retrieve the next page. Do not pass offset when retrieving the first page. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"startTime": {
"type": "string",
"description": "Earliest change event to retrieve (inclusive), in ISO 8601 date time format. Optional."
},
"endTime": {
"type": "string",
"description": "Latest change event to retrieve (exclusive), in ISO 8601 date time format. Optional."
},
"pageSize": {
"type": "number",
"description": "The number of records per page. Maximum value of 100; defaults to 10."
},
"offset": {
"type": "string",
"description": "If there may be more to retrieve, an **offset** is returned. Pass the **offset** to the next call to retrieve the next page. Do not pass **offset** when retrieving the first page."
}
},
"required": [
"PCID",
"enterpriseAccountId"
]
}
airtable_create_a_webhook
Create a webhook Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
baseId | string | Yes | — | Base Id | |
notificationUrl | string | null | No | — | An optional url that can receive notification pings. See notification delivery. |
specification | object | Yes | — | A JSON object that describe the types of changes the webhook is interested in. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"notificationUrl": {
"type": [
"string",
"null"
],
"description": "An optional url that can receive notification pings. [See notification delivery](/api/webhooks-overview#webhook-notification-delivery)."
},
"specification": {
"type": "object",
"description": "A JSON object that describe the types of changes the webhook is interested in.",
"properties": {
"options": {
"type": "object",
"description": "A single webhook may watch changes in a table, view, or base. The specification defines the types of the changes that are included in the webhook's payloads. Note that tables, fields, and views in the specification must be specified by ID rather than by name. You may find the IDs for each of these with the manage fields UI."
}
},
"required": [
"options"
]
}
},
"required": [
"PCID",
"baseId",
"specification"
]
}
airtable_create_audit_log_request
Create audit log request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
filter | string | No | — | An optional filter may be supplied. The filter value may be any of: - User ID - Workspace ID - Base ID - Table ID - IPv4 address (1.2.3.4) |
timePeriod | string | Yes | — | The time period (specific month or day) for which you want to retrieve audit logs for. Must be in either YYYY-MM or YYYY-MM-DD format and within the last 180 days. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"filter": {
"type": "string",
"description": "An optional filter may be supplied. The filter value may be any of: - User ID - Workspace ID - Base ID - Table ID - IPv4 address (**1.2.3.4**)"
},
"timePeriod": {
"type": "string",
"description": "The time period (specific month or day) for which you want to retrieve audit logs for. Must be in either **YYYY-MM** or **YYYY-MM-DD** format and within the last 180 days."
}
},
"required": [
"PCID",
"enterpriseAccountId",
"timePeriod"
]
}
airtable_create_base
Create base Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
name | string | Yes | — | The name for the new base. |
tables | object[] | Yes | — | A list of JSON objects representing the tables that will be created along with the base. |
workspaceId | string | Yes | — | The workspace where the base will be created. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"name": {
"type": "string",
"description": "The name for the new base."
},
"tables": {
"type": "array",
"items": {
"type": "object",
"properties": {
"description": {
"type": "string",
"description": "The description value"
},
"fields": {
"type": "array",
"description": "The fields value"
},
"name": {
"type": "string",
"description": "The name value"
}
},
"required": [
"name",
"fields"
]
},
"description": "A list of JSON objects representing the tables that will be created along with the base."
},
"workspaceId": {
"type": "string",
"description": "The workspace where the base will be created."
}
},
"required": [
"PCID",
"name",
"tables",
"workspaceId"
]
}
airtable_create_base_from_package_enterprise
Create base from package Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id | |
packageId | string | Yes | — | Package Id | |
description | string | null | No | — | Optional description for the base. |
name | string | Yes | — | The name for the new base. | |
packageReleaseId | string | Yes | — | The package release ID to install. | |
workspaceId | string | Yes | — | The workspace where the base will be created. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"packageId": {
"type": "string",
"description": "Package Id"
},
"description": {
"type": [
"string",
"null"
],
"description": "Optional description for the base."
},
"name": {
"type": "string",
"description": "The name for the new base."
},
"packageReleaseId": {
"type": "string",
"description": "The package release ID to install."
},
"workspaceId": {
"type": "string",
"description": "The workspace where the base will be created."
}
},
"required": [
"PCID",
"enterpriseAccountId",
"packageId",
"name",
"packageReleaseId",
"workspaceId"
]
}
airtable_create_comment
Create comment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
tableIdOrName | string | Yes | — | Table Id Or Name |
recordId | string | Yes | — | Record Id |
parentCommentId | string | No | — | A comment ID |
text | string | Yes | — | The text value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"tableIdOrName": {
"type": "string",
"description": "Table Id Or Name"
},
"recordId": {
"type": "string",
"description": "Record Id"
},
"parentCommentId": {
"type": "string",
"description": "A comment ID"
},
"text": {
"type": "string",
"description": "The text value"
}
},
"required": [
"PCID",
"baseId",
"tableIdOrName",
"recordId",
"text"
]
}
airtable_create_descendant_enterprise
Create descendant enterprise Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
name | string | Yes | — | The name value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"name": {
"type": "string",
"description": "The name value"
}
},
"required": [
"PCID",
"enterpriseAccountId",
"name"
]
}
airtable_create_ediscovery_export
Create eDiscovery export Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
baseId | string | Yes | — | Base ID to create eDiscovery export for. |
includeCsvFormat | boolean | No | — | If set, also export the base as CSVs (in a zipped file). Once the export is ready for download, the URL to the zip file will be available in the csvZipDownloadUrl attribute. |
shouldSendEmailOnCompletion | boolean | No | — | If set, an email will be sent to the user who initiated the export once the export is ready for download. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"baseId": {
"type": "string",
"description": "Base ID to create eDiscovery export for."
},
"includeCsvFormat": {
"type": "boolean",
"description": "If set, also export the base as CSVs (in a zipped file). Once the export is ready for download, the URL to the zip file will be available in the `csvZipDownloadUrl` attribute."
},
"shouldSendEmailOnCompletion": {
"type": "boolean",
"description": "If set, an email will be sent to the user who initiated the export once the export is ready for download."
}
},
"required": [
"PCID",
"enterpriseAccountId",
"baseId"
]
}
airtable_create_field
Create field Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
tableId | string | Yes | — | Table Id |
body | object | No | — | This identical to Field type and options, with an additional name and description property on all types |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"tableId": {
"type": "string",
"description": "Table Id"
},
"body": {
"description": "This identical to Field type and options, with an additional `name` and `description` property on all types"
}
},
"required": [
"PCID",
"baseId",
"tableId"
]
}
airtable_create_records
Create records Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
baseId | string | Yes | — | Base Id | |
tableIdOrName | string | Yes | — | Table Id Or Name | |
fields | object | No | — | Create a single record | |
records | object[] | No | — | Create multiple records Pass in multiple records to create multiple in one request | |
returnFieldsByFieldId | boolean | null | No | — | An optional boolean value that lets you return field objects keyed by the field id. This defaults to false, which returns field objects where the key is the field name. |
typecast | boolean | null | No | — | The Airtable API will perform best-effort automatic data conversion from string values if the typecast parameter is passed in. Automatic conversion is disabled by default to ensure data integrity, but it may be helpful for integrating with 3rd party data sources. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"tableIdOrName": {
"type": "string",
"description": "Table Id Or Name"
},
"fields": {
"type": "object",
"description": "Create **a single** record"
},
"records": {
"type": "array",
"items": {
"type": "object",
"properties": {
"fields": {
"type": "object",
"description": "The fields value"
}
},
"required": [
"fields"
]
},
"description": "Create **multiple** records Pass in multiple records to create multiple in one request"
},
"returnFieldsByFieldId": {
"type": [
"boolean",
"null"
],
"description": "An optional boolean value that lets you return field objects keyed by the field id. This defaults to `false`, which returns field objects where the key is the field name."
},
"typecast": {
"type": [
"boolean",
"null"
],
"description": "The Airtable API will perform best-effort automatic data conversion from string values if the typecast parameter is passed in. Automatic conversion is disabled by default to ensure data integrity, but it may be helpful for integrating with 3rd party data sources."
}
},
"required": [
"PCID",
"baseId",
"tableIdOrName"
]
}
airtable_create_table
Create table Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
description | string | No | — | The description for the table (optional). If present, must be a non-empty string no longer than 20,000 characters. |
fields | any[] | Yes | — | A list of JSON objects representing the fields in the table. Refer to field types for supported field types, the write format for field options, and other specifics for certain field types. |
name | string | Yes | — | The name for the table. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"description": {
"type": "string",
"description": "The description for the table (optional). If present, must be a non-empty string no longer than 20,000 characters."
},
"fields": {
"type": "array",
"description": "A list of JSON objects representing the fields in the table. Refer to [field types](/api/model/field-type) for supported field types, the write format for field options, and other specifics for certain field types."
},
"name": {
"type": "string",
"description": "The name for the table."
}
},
"required": [
"PCID",
"baseId",
"fields",
"name"
]
}
airtable_create_workspace
Create workspace Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | The enterprise account that the workspace will be created in. |
name | string | Yes | — | Name of the workspace to be created. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "The enterprise account that the workspace will be created in."
},
"name": {
"type": "string",
"description": "Name of the workspace to be created."
}
},
"required": [
"PCID",
"enterpriseAccountId",
"name"
]
}
airtable_delete_a_webhook
Delete a webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
webhookId | string | Yes | — | Webhook Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"webhookId": {
"type": "string",
"description": "Webhook Id"
}
},
"required": [
"PCID",
"baseId",
"webhookId"
]
}
airtable_delete_base
Delete base Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
}
},
"required": [
"PCID",
"baseId"
]
}
airtable_delete_base_collaborator
Delete base collaborator Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
userOrGroupId | string | Yes | — | User Or Group Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"userOrGroupId": {
"type": "string",
"description": "User Or Group Id"
}
},
"required": [
"PCID",
"baseId",
"userOrGroupId"
]
}
airtable_delete_base_invite
Delete base invite Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
inviteId | string | Yes | — | Invite Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"inviteId": {
"type": "string",
"description": "Invite Id"
}
},
"required": [
"PCID",
"baseId",
"inviteId"
]
}
airtable_delete_block_installation
Delete block installation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
blockInstallationId | string | Yes | — | Block Installation Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"blockInstallationId": {
"type": "string",
"description": "Block Installation Id"
}
},
"required": [
"PCID",
"baseId",
"blockInstallationId"
]
}
airtable_delete_comment
Delete comment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
tableIdOrName | string | Yes | — | Table Id Or Name |
recordId | string | Yes | — | Record Id |
rowCommentId | string | Yes | — | Row Comment Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"tableIdOrName": {
"type": "string",
"description": "Table Id Or Name"
},
"recordId": {
"type": "string",
"description": "Record Id"
},
"rowCommentId": {
"type": "string",
"description": "Row Comment Id"
}
},
"required": [
"PCID",
"baseId",
"tableIdOrName",
"recordId",
"rowCommentId"
]
}
airtable_delete_interface_collaborator
Delete interface collaborator Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
pageBundleId | string | Yes | — | Page Bundle Id |
userOrGroupId | string | Yes | — | User Or Group Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"pageBundleId": {
"type": "string",
"description": "Page Bundle Id"
},
"userOrGroupId": {
"type": "string",
"description": "User Or Group Id"
}
},
"required": [
"PCID",
"baseId",
"pageBundleId",
"userOrGroupId"
]
}
airtable_delete_interface_invite
Delete interface invite Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
pageBundleId | string | Yes | — | Page Bundle Id |
inviteId | string | Yes | — | Invite Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"pageBundleId": {
"type": "string",
"description": "Page Bundle Id"
},
"inviteId": {
"type": "string",
"description": "Invite Id"
}
},
"required": [
"PCID",
"baseId",
"pageBundleId",
"inviteId"
]
}
airtable_delete_multiple_records
Delete multiple records Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
tableIdOrName | string | Yes | — | Table Id Or Name |
records | string[] | No | — | The recordIds of each record to be deleted. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"tableIdOrName": {
"type": "string",
"description": "Table Id Or Name"
},
"records": {
"type": "array",
"items": {
"type": "string"
},
"description": "The recordIds of each record to be deleted."
}
},
"required": [
"PCID",
"baseId",
"tableIdOrName"
]
}
airtable_delete_record
Delete record Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
tableIdOrName | string | Yes | — | Table Id Or Name |
recordId | string | Yes | — | Record Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"tableIdOrName": {
"type": "string",
"description": "Table Id Or Name"
},
"recordId": {
"type": "string",
"description": "Record Id"
}
},
"required": [
"PCID",
"baseId",
"tableIdOrName",
"recordId"
]
}
airtable_delete_share
Delete share Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
shareId | string | Yes | — | Share Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"shareId": {
"type": "string",
"description": "Share Id"
}
},
"required": [
"PCID",
"baseId",
"shareId"
]
}
airtable_delete_user_by_id
Delete user by id Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
userId | string | Yes | — | User Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"userId": {
"type": "string",
"description": "User Id"
}
},
"required": [
"PCID",
"enterpriseAccountId",
"userId"
]
}
airtable_delete_users_by_email
Delete users by email Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
email | string[] | No | — | The email value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"email": {
"type": "array",
"items": {
"type": "string"
},
"description": "The email value"
}
},
"required": [
"PCID",
"enterpriseAccountId"
]
}
airtable_delete_view
Delete view Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
viewId | string | Yes | — | View Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"viewId": {
"type": "string",
"description": "View Id"
}
},
"required": [
"PCID",
"baseId",
"viewId"
]
}
airtable_delete_workspace
Delete workspace Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | string | Yes | — | Workspace Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "string",
"description": "Workspace Id"
}
},
"required": [
"PCID",
"workspaceId"
]
}
airtable_delete_workspace_collaborator
Delete workspace collaborator Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | string | Yes | — | Workspace Id |
userOrGroupId | string | Yes | — | User Or Group Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "string",
"description": "Workspace Id"
},
"userOrGroupId": {
"type": "string",
"description": "User Or Group Id"
}
},
"required": [
"PCID",
"workspaceId",
"userOrGroupId"
]
}
airtable_delete_workspace_invite
Delete workspace invite Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | string | Yes | — | Workspace Id |
inviteId | string | Yes | — | Invite Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "string",
"description": "Workspace Id"
},
"inviteId": {
"type": "string",
"description": "Invite Id"
}
},
"required": [
"PCID",
"workspaceId",
"inviteId"
]
}
airtable_enable_disable_webhook_notifications
Enable/disable webhook notifications Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
webhookId | string | Yes | — | Webhook Id |
enable | boolean | Yes | — | The enable value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"webhookId": {
"type": "string",
"description": "Webhook Id"
},
"enable": {
"type": "boolean",
"description": "The enable value"
}
},
"required": [
"PCID",
"baseId",
"webhookId",
"enable"
]
}
airtable_get_audit_log_request
Get audit log request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
enterpriseAuditLogTaskId | string | Yes | — | Enterprise Audit Log Task Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"enterpriseAuditLogTaskId": {
"type": "string",
"description": "Enterprise Audit Log Task Id"
}
},
"required": [
"PCID",
"enterpriseAccountId",
"enterpriseAuditLogTaskId"
]
}
airtable_get_base_collaborators
Get base collaborators Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
include | string[] | No | — | If specified, collaborators, interfaces, inviteLinks key, and/or packages will be included in the response object. Otherwise, they will be left out. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"include": {
"type": "array",
"items": {
"type": "string",
"enum": [
"collaborators",
"inviteLinks",
"interfaces",
"packages"
]
},
"description": "If specified, collaborators, interfaces, inviteLinks key, and/or packages will be included in the response object. Otherwise, they will be left out."
}
},
"required": [
"PCID",
"baseId"
]
}
airtable_get_base_schema
Get base schema Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
include | string[] | No | — | If specified, additional fields to include in the views object response; currently, this list only allows a single literal value visibleFieldIds (for views of type grid only) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"include": {
"type": "array",
"items": {
"type": "string"
},
"description": "If specified, additional fields to include in the `views` object response; currently, this list only allows a single literal value `visibleFieldIds` (for views of type `grid` only)"
}
},
"required": [
"PCID",
"baseId"
]
}
airtable_get_ediscovery_export
Get eDiscovery export Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
enterpriseTaskId | string | Yes | — | Enterprise Task Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"enterpriseTaskId": {
"type": "string",
"description": "Enterprise Task Id"
}
},
"required": [
"PCID",
"enterpriseAccountId",
"enterpriseTaskId"
]
}
airtable_get_enterprise
Get enterprise Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
include | string[] | No | — | If specified, aggregated and/or descendants keys will be included in the response object. Otherwise, it will be left out. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"include": {
"type": "array",
"items": {
"type": "string",
"enum": [
"aggregated",
"descendants"
]
},
"description": "If specified, aggregated and/or descendants keys will be included in the response object. Otherwise, it will be left out."
}
},
"required": [
"PCID",
"enterpriseAccountId"
]
}
airtable_get_interface
Get interface Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
pageBundleId | string | Yes | — | Page Bundle Id |
include | string[] | No | — | Related resources to include |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"pageBundleId": {
"type": "string",
"description": "Page Bundle Id"
},
"include": {
"type": "array",
"items": {
"type": "string",
"enum": [
"collaborators",
"inviteLinks"
]
},
"description": "Related resources to include"
}
},
"required": [
"PCID",
"baseId",
"pageBundleId"
]
}
airtable_get_record
Get record Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
tableIdOrName | string | Yes | — | Table Id Or Name |
recordId | string | Yes | — | Record Id |
cellFormat | string | No | — | The format that should be used for cell values. Supported values are: - json: cells will be formatted as JSON, depending on the field type. - string: cells will be formatted as user-facing strings, regardless of the field type. The timeZone and userLocale parameters are required when using string as the cellFormat. Note: You should not rely on the format of these strings, as it is subject to change. The default is json. |
returnFieldsByFieldId | boolean | No | — | An optional boolean value that lets you return field objects where the key is the field id. This defaults to false, which returns field objects where the key is the field name. |
includeDateDependencyMetadata | boolean | No | — | An optional boolean value that returns linked record cell values as objects instead of record IDs. When true, all linked record fields return an array of objects with an id property. Linked record fields configured for date dependencies include an optional dateDependencyMetadata object with dependencyType and buffer fields (when date dependencies are configured in fixed mode). When false or unset, linked record fields return an array of record ID strings. This defaults to false. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"tableIdOrName": {
"type": "string",
"description": "Table Id Or Name"
},
"recordId": {
"type": "string",
"description": "Record Id"
},
"cellFormat": {
"type": "string",
"description": "The format that should be used for cell values. Supported values are: - `json:` cells will be formatted as JSON, depending on the field type. - `string:` cells will be formatted as user-facing strings, regardless of the field type. The `timeZone` and `userLocale` parameters are required when using `string` as the `cellFormat`. **Note:** You should not rely on the format of these strings, as it is subject to change. The default is `json`.",
"enum": [
"json",
"string"
]
},
"returnFieldsByFieldId": {
"type": "boolean",
"description": "An optional boolean value that lets you return field objects where the key is the field id. This defaults to `false`, which returns field objects where the key is the field name."
},
"includeDateDependencyMetadata": {
"type": "boolean",
"description": "An optional boolean value that returns linked record cell values as objects instead of record IDs. When `true`, all linked record fields return an array of objects with an `id` property. Linked record fields configured for date dependencies include an optional `dateDependencyMetadata` object with `dependencyType` and `buffer` fields (when date dependencies are configured in fixed mode). When `false` or unset, linked record fields return an array of record ID strings. This defaults to `false`."
}
},
"required": [
"PCID",
"baseId",
"tableIdOrName",
"recordId"
]
}
airtable_get_user_by_id
Get user by id Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
userId | string | Yes | — | User Id |
include | string[] | No | — | If specified, collaborations, aggregated, and/or descendants keys will be included in the response object. Otherwise, they will be left out. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"userId": {
"type": "string",
"description": "User Id"
},
"include": {
"type": "array",
"items": {
"type": "string",
"enum": [
"collaborations",
"aggregated",
"descendants"
]
},
"description": "If specified, collaborations, aggregated, and/or descendants keys will be included in the response object. Otherwise, they will be left out."
}
},
"required": [
"PCID",
"enterpriseAccountId",
"userId"
]
}
airtable_get_user_group
Get user group Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
groupId | string | Yes | — | Group Id |
include | string[] | No | — | If specified, collaborations key will be included in the response object. Otherwise it will be left out. You must be a group member or enterprise admin to view this information. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"groupId": {
"type": "string",
"description": "Group Id"
},
"include": {
"type": "array",
"items": {
"type": "string"
},
"description": "If specified, collaborations key will be included in the response object. Otherwise it will be left out. You must be a group member or enterprise admin to view this information."
}
},
"required": [
"PCID",
"groupId"
]
}
airtable_get_user_id_scopes
Get user infoShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
airtable_get_users_by_id_or_email
Get users by id or email Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
email | string[] | No | — | Email addresses to search by. If the request does not have any userIds, you must include at least one email address. |
id | string[] | No | — | User Ids to search by. If the request does not have any email addresses, you must include at least one userId. |
include | string[] | No | — | Allows optionally including collaborations in response. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"email": {
"type": "array",
"items": {
"type": "string"
},
"description": "Email addresses to search by. If the request does not have any userIds, you must include at least one email address."
},
"id": {
"type": "array",
"items": {
"type": "string"
},
"description": "User Ids to search by. If the request does not have any email addresses, you must include at least one userId."
},
"include": {
"type": "array",
"items": {
"type": "string",
"enum": [
"collaborations",
"aggregated",
"descendants"
]
},
"description": "Allows optionally including collaborations in response."
}
},
"required": [
"PCID",
"enterpriseAccountId"
]
}
airtable_get_view_metadata
Get view metadata Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
viewId | string | Yes | — | View Id |
include | string[] | No | — | If specified, additional fields to include in the views object response; currently, this list only allows a single literal value visibleFieldIds (for views of type grid only) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"viewId": {
"type": "string",
"description": "View Id"
},
"include": {
"type": "array",
"items": {
"type": "string"
},
"description": "If specified, additional fields to include in the `views` object response; currently, this list only allows a single literal value `visibleFieldIds` (for views of type `grid` only)"
}
},
"required": [
"PCID",
"baseId",
"viewId"
]
}
airtable_get_workspace_collaborators
Get workspace collaborators Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | string | Yes | — | Workspace Id |
include | string[] | No | — | If specified, collaborators or inviteLinks key will be included in the response object. Otherwise they will be left out. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "string",
"description": "Workspace Id"
},
"include": {
"type": "array",
"items": {
"type": "string",
"enum": [
"collaborators",
"inviteLinks"
]
},
"description": "If specified, collaborators or inviteLinks key will be included in the response object. Otherwise they will be left out."
}
},
"required": [
"PCID",
"workspaceId"
]
}
airtable_grant_admin_access
Grant admin access Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
users | object[] | Yes | — | The users value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"users": {
"type": "array",
"items": {
"type": "object",
"properties": {
"email": {
"type": "string",
"description": "The email value"
},
"id": {
"type": "string",
"description": "A user ID"
}
}
},
"description": "The users value"
}
},
"required": [
"PCID",
"enterpriseAccountId",
"users"
]
}
airtable_list_audit_log_requests
List audit log requests Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
pageSize | number | No | — | The number of records per page. Maximum value of 100; defaults to 10. |
offset | number | No | — | If there may be more to retrieve, an offset is returned. Pass the offset to the next call to retrieve the next page. Do not pass offset when retrieving the first page. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"pageSize": {
"type": "number",
"description": "The number of records per page. Maximum value of 100; defaults to 10."
},
"offset": {
"type": "number",
"description": "If there may be more to retrieve, an **offset** is returned. Pass the **offset** to the next call to retrieve the next page. Do not pass **offset** when retrieving the first page."
}
},
"required": [
"PCID",
"enterpriseAccountId"
]
}
airtable_list_bases
List bases Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
offset | string | No | — | The offset value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"offset": {
"type": "string",
"description": "The offset value"
}
},
"required": [
"PCID"
]
}
airtable_list_block_installations
List block installations Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
}
},
"required": [
"PCID",
"baseId"
]
}
airtable_list_comments
List comments Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
tableIdOrName | string | Yes | — | Table Id Or Name |
recordId | string | Yes | — | Record Id |
pageSize | number | No | — | If specified, this will determine the number of comments to return. Must be less than or equal to 100. Default is 100. |
offset | string | No | — | A pointer to a specific comment. If specified, the returned comments will begin at the specified offset. An offset to the next set of comments will be provided by the API if the number of returned comments exceed the pageSize. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"tableIdOrName": {
"type": "string",
"description": "Table Id Or Name"
},
"recordId": {
"type": "string",
"description": "Record Id"
},
"pageSize": {
"type": "number",
"description": "If specified, this will determine the number of comments to return. Must be less than or equal to 100. Default is 100."
},
"offset": {
"type": "string",
"description": "A pointer to a specific comment. If specified, the returned comments will begin at the specified **offset**. An **offset** to the next set of comments will be provided by the API if the number of returned comments exceed the **pageSize**."
}
},
"required": [
"PCID",
"baseId",
"tableIdOrName",
"recordId"
]
}
airtable_list_ediscovery_export
List eDiscovery exports Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
state | string | No | — | Filter for exports with the specified state. |
pageSize | number | No | — | The number of records per page. Maximum value of 100; defaults to 10. |
offset | number | No | — | If there may be more to retrieve, an offset is returned. Pass the offset to the next call to retrieve the next page. Do not pass offset when retrieving the first page. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"state": {
"type": "string",
"description": "Filter for exports with the specified state.",
"enum": [
"pending",
"processing",
"error",
"done"
]
},
"pageSize": {
"type": "number",
"description": "The number of records per page. Maximum value of 100; defaults to 10."
},
"offset": {
"type": "number",
"description": "If there may be more to retrieve, an **offset** is returned. Pass the **offset** to the next call to retrieve the next page. Do not pass **offset** when retrieving the first page."
}
},
"required": [
"PCID",
"enterpriseAccountId"
]
}
airtable_list_enterprise_packages
List packages Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
shouldGetAllPackagesInGrid | boolean | No | — | If true and the enterprise account is the root enterprise account, returns all packages across the entire enterprise grid. Defaults to false. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"shouldGetAllPackagesInGrid": {
"type": "boolean",
"description": "If true and the enterprise account is the root enterprise account, returns all packages across the entire enterprise grid. Defaults to false."
}
},
"required": [
"PCID",
"enterpriseAccountId"
]
}
airtable_list_enterprise_personal_access_tokens
List personal access tokens Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
includeResources | boolean | No | — | Include Resources |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"includeResources": {
"type": "boolean",
"description": "Include Resources"
}
},
"required": [
"PCID",
"enterpriseAccountId"
]
}
airtable_list_records
List records Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
tableIdOrName | string | Yes | — | Table Id Or Name |
timeZone | object | No | — | Timezone identifier |
userLocale | string | No | — | The user locale that should be used to format dates when using string as the cellFormat. This parameter is required when using string as the cellFormat. |
pageSize | number | No | — | The number of records returned in each request. Must be less than or equal to 100. Default is 100. |
maxRecords | number | No | — | The maximum total number of records that will be returned in your requests. If this value is larger than pageSize (which is 100 by default), you may have to load multiple pages to reach this total. |
offset | string | No | — | To fetch the next page of records, include offset from the previous request in the next request’s parameters. |
view | object | No | — | The name or ID of a view in the table. If set, only the records in that view will be returned. The records will be sorted according to the order of the view unless the sort parameter is included, which overrides that order. Fields hidden in this view will be returned in the results. To only return a subset of fields, use the fields parameter. |
sort | object[] | No | — | A list of sort objects that specifies how the records will be ordered. Each sort object must have a field key specifying the name of the field to sort on, and an optional direction key that is either “asc” or “desc”. The default direction is “asc”. The sort parameter overrides the sorting of the view specified in the view parameter. If neither the sort nor the view parameter is included, the order of records is arbitrary. |
filterByFormula | string | No | — | A formula used to filter records. The formula will be evaluated for each record, and if the result is not 0, false, "", NaN, [], or #Error! the record will be included in the response. We recommend testing your formula in the Formula field UI before using it in your API request. If combined with the view parameter, only records in that view which satisfy the formula will be returned. The formula must be encoded first before passing it as a value. You can use this tool to not only encode the formula but also create the entire url you need. Formulas can use field names or field IDs inside the formula. Note Airtable’s API only accepts request with a URL shorter than 16,000 characters. Encoded formulas may cause your requests to exceed this limit. To fix this issue you can instead make a POST request to /v0/{baseId}/{tableIdOrName}/listRecords while passing the parameters within the body of the request instead of the query parameters. |
cellFormat | string | No | — | The format that should be used for cell values. Supported values are: - json: cells will be formatted as JSON, depending on the field type. - string: cells will be formatted as user-facing strings, regardless of the field type. The timeZone and userLocale parameters are required when using string as the cellFormat. Note: You should not rely on the format of these strings, as it is subject to change. The default is json. |
fields | string[] | No | — | Only data for fields whose names or IDs are in this list will be included in the result. If you don’t need every field, you can use this parameter to reduce the amount of data transferred. Note Airtable’s API only accepts request with a URL shorter than 16,000 characters. Encoded formulas may cause your requests to exceed this limit. To fix this issue you can instead make a POST request to /v0/{baseId}/{tableIdOrName}/listRecords while passing the parameters within the body of the request instead of the query parameters. |
returnFieldsByFieldId | boolean | No | — | An optional boolean value that lets you return field objects where the key is the field id. This defaults to false, which returns field objects where the key is the field name. |
includeDateDependencyMetadata | boolean | No | — | An optional boolean value that returns linked record cell values as objects instead of record IDs. When true, all linked record fields return an array of objects with an id property. Linked record fields configured for date dependencies include an optional dateDependencyMetadata object with dependencyType and buffer fields (when date dependencies are configured in fixed mode). When false or unset, linked record fields return an array of record ID strings. This defaults to false. |
recordMetadata | string[] | No | — | An optional field that, if specified, includes commentCount on each record returned. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"tableIdOrName": {
"type": "string",
"description": "Table Id Or Name"
},
"timeZone": {
"description": "Timezone identifier"
},
"userLocale": {
"type": "string",
"description": "The [user locale](https://support.airtable.com/docs/supported-locale-modifiers-for-set-locale) that should be used to format dates when using `string` as the `cellFormat`. This parameter is required when using `string` as the `cellFormat`."
},
"pageSize": {
"type": "number",
"description": "The number of records returned in each request. Must be less than or equal to 100. Default is 100."
},
"maxRecords": {
"type": "number",
"description": "The maximum total number of records that will be returned in your requests. If this value is larger than **pageSize** (which is 100 by default), you may have to load multiple pages to reach this total."
},
"offset": {
"type": "string",
"description": "To fetch the next page of records, include offset from the previous request in the next request's parameters."
},
"view": {
"description": "The name or ID of a view in the table. If set, only the records in that view will be returned. The records will be sorted according to the order of the view unless the **sort** parameter is included, which overrides that order. Fields hidden in this view will be returned in the results. To only return a subset of fields, use the **fields** parameter."
},
"sort": {
"type": "array",
"items": {
"type": "object",
"properties": {
"direction": {
"type": "string",
"enum": [
"asc",
"desc"
],
"description": "The direction value"
},
"field": {
"type": "string",
"description": "The field value"
}
},
"required": [
"field"
]
},
"description": "A list of sort objects that specifies how the records will be ordered. Each sort object must have a **field** key specifying the name of the field to sort on, and an optional **direction** key that is either **\"asc\"** or **\"desc\"**. The default direction is **\"asc\"**. The **sort** parameter overrides the sorting of the view specified in the **view** parameter. If neither the **sort** nor the **view** parameter is included, the order of records is arbitrary."
},
"filterByFormula": {
"type": "string",
"description": "A [formula](https://support.airtable.com/docs/formula-field-reference) used to filter records. The formula will be evaluated for each record, and if the result is not **0**, **false**, **\"\"**, **NaN**, **[]**, or **#Error!** the record will be included in the response. We recommend testing your formula in the Formula field UI before using it in your API request. If combined with the **view** parameter, only records in that view which satisfy the formula will be returned. The formula must be encoded first before passing it as a value. You can use [this tool](https://codepen.io/airtable/full/MeXqOg) to not only encode the formula but also create the entire url you need. Formulas can use field names or field IDs inside the formula. **Note** Airtable's API only accepts request with a URL shorter than 16,000 characters. Encoded formulas may cause your requests to exceed this limit. To fix this issue you can instead make a POST request to `/v0/{baseId}/{tableIdOrName}/listRecords` while passing the parameters within the body of the request instead of the query parameters."
},
"cellFormat": {
"type": "string",
"description": "The format that should be used for cell values. Supported values are: - **json**: cells will be formatted as JSON, depending on the field type. - **string**: cells will be formatted as user-facing strings, regardless of the field type. The **timeZone** and **userLocale** parameters are required when using **string** as the **cellFormat**. **Note**: You should not rely on the format of these strings, as it is subject to change. The default is **json**.",
"enum": [
"json",
"string"
]
},
"fields": {
"type": "array",
"items": {
"type": "string"
},
"description": "Only data for fields whose names or IDs are in this list will be included in the result. If you don't need every field, you can use this parameter to reduce the amount of data transferred. **Note** Airtable's API only accepts request with a URL shorter than 16,000 characters. Encoded formulas may cause your requests to exceed this limit. To fix this issue you can instead make a POST request to `/v0/{baseId}/{tableIdOrName}/listRecords` while passing the parameters within the body of the request instead of the query parameters."
},
"returnFieldsByFieldId": {
"type": "boolean",
"description": "An optional boolean value that lets you return field objects where the key is the field id. This defaults to **false**, which returns field objects where the key is the field name."
},
"includeDateDependencyMetadata": {
"type": "boolean",
"description": "An optional boolean value that returns linked record cell values as objects instead of record IDs. When `true`, all linked record fields return an array of objects with an `id` property. Linked record fields configured for date dependencies include an optional `dateDependencyMetadata` object with `dependencyType` and `buffer` fields (when date dependencies are configured in fixed mode). When `false` or unset, linked record fields return an array of record ID strings. This defaults to `false`."
},
"recordMetadata": {
"type": "array",
"items": {
"type": "string"
},
"description": "An optional field that, if specified, includes **commentCount** on each record returned."
}
},
"required": [
"PCID",
"baseId",
"tableIdOrName"
]
}
airtable_list_shares
List shares Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
}
},
"required": [
"PCID",
"baseId"
]
}
airtable_list_views
List views Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
include | string[] | No | — | If specified, additional fields to include in the views object response; currently, this list only allows a single literal value visibleFieldIds (for views of type grid only) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"include": {
"type": "array",
"items": {
"type": "string"
},
"description": "If specified, additional fields to include in the `views` object response; currently, this list only allows a single literal value `visibleFieldIds` (for views of type `grid` only)"
}
},
"required": [
"PCID",
"baseId"
]
}
airtable_list_webhook_payloads
List webhook payloads Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
webhookId | string | Yes | — | Webhook Id |
cursor | number | No | — | The first time this action is called, the cursor argument may be omitted from the request and will default to 1. After that, cursors should be saved between invocations of this action. When a client receives a ping, it should use the last cursor that this action returned when polling for new payloads, no matter how old that cursor value is. The cursor argument indicates the transaction number of the payload to start listing from. |
limit | number | No | — | If given the limit parameter specifies the maximum number of payloads to return in the response. A maximum of 50 payloads can be returned in a single request. A single payload can contain multiple updates. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"webhookId": {
"type": "string",
"description": "Webhook Id"
},
"cursor": {
"type": "number",
"description": "The first time this action is called, the cursor argument may be omitted from the request and will default to 1. After that, cursors should be saved between invocations of this action. When a client receives a ping, it should use the last cursor that this action returned when polling for new payloads, no matter how old that cursor value is. The cursor argument indicates the transaction number of the payload to start listing from."
},
"limit": {
"type": "number",
"description": "If given the limit parameter specifies the maximum number of payloads to return in the response. A maximum of 50 payloads can be returned in a single request. A single payload can contain multiple updates."
}
},
"required": [
"PCID",
"baseId",
"webhookId"
]
}
airtable_list_webhooks
List webhooks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
}
},
"required": [
"PCID",
"baseId"
]
}
airtable_logout_user
Logout user Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
userId | string | Yes | — | User Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"userId": {
"type": "string",
"description": "User Id"
}
},
"required": [
"PCID",
"enterpriseAccountId",
"userId"
]
}
airtable_manage_block_installation
Manage block installation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
blockInstallationId | string | Yes | — | Block Installation Id |
state | string | Yes | — | The state value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"blockInstallationId": {
"type": "string",
"description": "Block Installation Id"
},
"state": {
"type": "string",
"description": "The state value",
"enum": [
"enabled",
"disabled"
]
}
},
"required": [
"PCID",
"baseId",
"blockInstallationId",
"state"
]
}
airtable_manage_share
Manage share Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
shareId | string | Yes | — | Share Id |
state | string | Yes | — | When enabling a share a user is subject to sharing restrictions. These restrictions are not applicable when disabling a share. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"shareId": {
"type": "string",
"description": "Share Id"
},
"state": {
"type": "string",
"description": "When _enabling_ a share a user is subject to [sharing restrictions](https://support.airtable.com/docs/workspace-sharing-restrictions). These restrictions are not applicable when disabling a share.",
"enum": [
"enabled",
"disabled"
]
}
},
"required": [
"PCID",
"baseId",
"shareId",
"state"
]
}
airtable_manage_user
Manage user Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
userId | string | Yes | — | User Id |
email | string | No | — | Enterprise account must own both the original and destination email domains. WARNING: If SSO is required for your enterprise account, you must follow these steps precisely to avoid locking the end user out of their account or creating duplicate accounts. - Use this API to update the user’s email to a new value (this effectively logs the user out) - Use your SSO provider’s (e.g. Okta’s) admin panel to update the user’s email to the new value - Tell the user to log into Airtable with the new email |
firstName | string | No | — | First Name |
lastName | string | No | — | Last Name |
state | string | No | — | provisioned | deactivated Can only change the state of managed users. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"userId": {
"type": "string",
"description": "User Id"
},
"email": {
"type": "string",
"description": "Enterprise account must own both the original and destination email domains. *WARNING:* If SSO is required for your enterprise account, you must follow these steps precisely to avoid locking the end user out of their account or creating duplicate accounts. - Use this API to update the user's email to a new value (this effectively logs the user out) - Use your SSO provider's (e.g. Okta's) admin panel to update the user's email to the new value - Tell the user to log into Airtable with the new email"
},
"firstName": {
"type": "string",
"description": "First Name"
},
"lastName": {
"type": "string",
"description": "Last Name"
},
"state": {
"type": "string",
"description": "[provisioned](/api/org-management-glossary#provisioned-user) | [deactivated](/api/org-management-glossary#deactivated-user) Can only change the state of [managed](/api/org-management-glossary#managed-user) users.",
"enum": [
"provisioned",
"deactivated"
]
}
},
"required": [
"PCID",
"enterpriseAccountId",
"userId"
]
}
airtable_manage_user_batched
Manage user batched Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
users | object[] | Yes | — | The users value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"users": {
"type": "array",
"items": {
"type": "object",
"properties": {
"email": {
"type": "string",
"description": "Enterprise account must own both the original and destination email domains. *WARNING:* If SSO is required for your enterprise account, you must follow these steps precisely to avoid locking the end user out of their account or creating duplicate accounts. - Use this API to update the user's email to a new value (this effectively logs the user out) - Use your SSO provider's (e.g. Okta's) admin panel to update the user's email to the new value - Tell the user to log into Airtable with the new email"
},
"firstName": {
"type": "string",
"description": "First Name"
},
"id": {
"type": "string",
"description": "A user ID"
},
"lastName": {
"type": "string",
"description": "Last Name"
},
"state": {
"type": "string",
"enum": [
"provisioned",
"deactivated"
],
"description": "[provisioned](/api/org-management-glossary#provisioned-user) | [deactivated](/api/org-management-glossary#deactivated-user) Can only change the state of [managed](/api/org-management-glossary#managed-user) users."
}
}
},
"description": "The users value"
}
},
"required": [
"PCID",
"enterpriseAccountId",
"users"
]
}
airtable_manage_user_membership
Manage user membership Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
users | object[] | Yes | — | The users value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"users": {
"type": "array",
"items": {
"type": "object",
"properties": {
"email": {
"type": "string",
"description": "The email value"
},
"id": {
"type": "string",
"description": "A user ID"
},
"state": {
"type": "string",
"enum": [
"managed",
"unmanaged"
],
"description": "[managed](/api/org-management-glossary#managed-user) | [unmanaged](/api/org-management-glossary#unmanaged-user)"
}
},
"required": [
"state"
]
},
"description": "The users value"
}
},
"required": [
"PCID",
"enterpriseAccountId",
"users"
]
}
airtable_move_base
Move base Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | string | Yes | — | Workspace Id |
baseId | string | Yes | — | ID of the base to be moved |
targetIndex | number | No | — | The desired index for the base in the target workspace’s base order (optional). If provided, targetIndex must be a number between 0 (beginning of the list) and the number of bases in the target workspace (end of the list). If targetIndex is not provided, the base will be moved to the end of the list of bases in the target workspace. |
targetWorkspaceId | string | Yes | — | ID of the target workspace of the move. I.e. the workspace that the base will belong to once the move is complete. The target workspace must be in the same enterprise account as the source workspace. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "string",
"description": "Workspace Id"
},
"baseId": {
"type": "string",
"description": "ID of the base to be moved"
},
"targetIndex": {
"type": "number",
"description": "The desired index for the base in the target workspace's base order (optional). If provided, targetIndex must be a number between 0 (beginning of the list) and the number of bases in the target workspace (end of the list). If targetIndex is not provided, the base will be moved to the end of the list of bases in the target workspace."
},
"targetWorkspaceId": {
"type": "string",
"description": "ID of the target workspace of the move. I.e. the workspace that the base will belong to once the move is complete. The target workspace must be in the same enterprise account as the source workspace."
}
},
"required": [
"PCID",
"workspaceId",
"baseId",
"targetWorkspaceId"
]
}
airtable_move_user_groups
Move user groups Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
groupIds | string[] | Yes | — | ID of the groups to be moved. Up to 100 groupIds can be provided. |
targetEnterpriseAccountId | string | Yes | — | ID of the target enterprise account of the move. The target enterprise account must be in the same Hub-enabled organization as the source enterprise account, and you must have admin rights over the target enterprise account. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"groupIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "ID of the groups to be moved. Up to 100 groupIds can be provided."
},
"targetEnterpriseAccountId": {
"type": "string",
"description": "ID of the target enterprise account of the move. The target enterprise account must be in the same Hub-enabled organization as the source enterprise account, and you must have admin rights over the target enterprise account."
}
},
"required": [
"PCID",
"enterpriseAccountId",
"groupIds",
"targetEnterpriseAccountId"
]
}
airtable_move_workspaces
Move workspaces Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
replacementOwnerId | string | No | — | If the target enterprise account has the invites settings restricted to org unit members, all non-member collaborators will be removed when the workspace are moved. If any workspace only has non-member owners, you must specify a replacementOwnerId to be added as the new owner of such workspaces. If no workspace has only non-member owners, replaceOwnerId is optional and will be ignored if provided. |
targetEnterpriseAccountId | string | Yes | — | ID of the target enterprise account of the move. The target enterprise account must be in the same Hub-enabled organization as the source enterprise account, and you must have admin rights over the target enterprise account. |
workspaceIds | string[] | Yes | — | ID of the workspaces to be moved. Up to 100 workspaceIds can be provided. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"replacementOwnerId": {
"type": "string",
"description": "If the target enterprise account has the invites settings restricted to org unit members, all non-member collaborators will be removed when the workspace are moved. If any workspace only has non-member owners, you must specify a replacementOwnerId to be added as the new owner of such workspaces. If no workspace has only non-member owners, replaceOwnerId is optional and will be ignored if provided."
},
"targetEnterpriseAccountId": {
"type": "string",
"description": "ID of the target enterprise account of the move. The target enterprise account must be in the same Hub-enabled organization as the source enterprise account, and you must have admin rights over the target enterprise account."
},
"workspaceIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "ID of the workspaces to be moved. Up to 100 workspaceIds can be provided."
}
},
"required": [
"PCID",
"enterpriseAccountId",
"targetEnterpriseAccountId",
"workspaceIds"
]
}
airtable_post_sync_api_endpoint
Sync CSV data Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
tableIdOrName | string | Yes | — | Table Id Or Name |
apiEndpointSyncId | string | Yes | — | Api Endpoint Sync Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"tableIdOrName": {
"type": "string",
"description": "Table Id Or Name"
},
"apiEndpointSyncId": {
"type": "string",
"description": "Api Endpoint Sync Id"
}
},
"required": [
"PCID",
"baseId",
"tableIdOrName",
"apiEndpointSyncId"
]
}
airtable_refresh_a_webhook
Refresh a webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
webhookId | string | Yes | — | Webhook Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"webhookId": {
"type": "string",
"description": "Webhook Id"
}
},
"required": [
"PCID",
"baseId",
"webhookId"
]
}
airtable_remove_user_from_enterprise
Remove user from enterprise Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id | |
userId | string | Yes | — | User Id | |
isDryRun | boolean | null | No | — | Is Dry Run |
removeFromDescendants | boolean | No | — | If true, removes the user from descendant enterprise accounts as well. Only enterprise accounts with the Enterprise Hub feature enabled have descendant enterprise accounts. | |
replacementOwnerId | string | null | No | — | If the user is the sole owner of any workspaces, you must specify a replacementOwnerId to be added as the new owner of such workspaces. If the user is not the sole owner of any workspaces, replacementOwnerId is optional and will be ignored if provided. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"userId": {
"type": "string",
"description": "User Id"
},
"isDryRun": {
"type": [
"boolean",
"null"
],
"description": "Is Dry Run"
},
"removeFromDescendants": {
"type": "boolean",
"description": "If true, removes the user from descendant enterprise accounts as well. Only enterprise accounts with the Enterprise Hub feature enabled have descendant enterprise accounts."
},
"replacementOwnerId": {
"type": [
"string",
"null"
],
"description": "If the user is the sole owner of any workspaces, you must specify a replacementOwnerId to be added as the new owner of such workspaces. If the user is not the sole owner of any workspaces, replacementOwnerId is optional and will be ignored if provided."
}
},
"required": [
"PCID",
"enterpriseAccountId",
"userId"
]
}
airtable_revoke_admin_access
Revoke admin access Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
users | object[] | Yes | — | The users value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"users": {
"type": "array",
"items": {
"type": "object",
"properties": {
"email": {
"type": "string",
"description": "The email value"
},
"id": {
"type": "string",
"description": "A user ID"
}
}
},
"description": "The users value"
}
},
"required": [
"PCID",
"enterpriseAccountId",
"users"
]
}
airtable_revoke_enterprise_personal_access_tokens
Revoke personal access tokens Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enterpriseAccountId | string | Yes | — | Enterprise Account Id |
tokenIds | string[] | Yes | — | Token Ids |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"enterpriseAccountId": {
"type": "string",
"description": "Enterprise Account Id"
},
"tokenIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "Token Ids"
}
},
"required": [
"PCID",
"enterpriseAccountId",
"tokenIds"
]
}
airtable_update_collaborator_base_permission
Update collaborator base permission Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
userOrGroupId | string | Yes | — | User Or Group Id |
permissionLevel | string | Yes | — | Permission Level |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"userOrGroupId": {
"type": "string",
"description": "User Or Group Id"
},
"permissionLevel": {
"type": "string",
"description": "Permission Level",
"enum": [
"read",
"comment",
"edit",
"create"
]
}
},
"required": [
"PCID",
"baseId",
"userOrGroupId",
"permissionLevel"
]
}
airtable_update_comment
Update comment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
tableIdOrName | string | Yes | — | Table Id Or Name |
recordId | string | Yes | — | Record Id |
rowCommentId | string | Yes | — | Row Comment Id |
text | string | Yes | — | The text value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"tableIdOrName": {
"type": "string",
"description": "Table Id Or Name"
},
"recordId": {
"type": "string",
"description": "Record Id"
},
"rowCommentId": {
"type": "string",
"description": "Row Comment Id"
},
"text": {
"type": "string",
"description": "The text value"
}
},
"required": [
"PCID",
"baseId",
"tableIdOrName",
"recordId",
"rowCommentId",
"text"
]
}
airtable_update_field
Update field Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
tableId | string | Yes | — | Table Id |
columnId | string | Yes | — | Column Id |
description | string | No | — | The new description for the field (optional). If present, must be a string no longer than 20,000 characters. |
name | string | No | — | The new name for the field (optional). |
options | object | No | — | Type-specific field options to update. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"tableId": {
"type": "string",
"description": "Table Id"
},
"columnId": {
"type": "string",
"description": "Column Id"
},
"description": {
"type": "string",
"description": "The new description for the field (optional). If present, must be a string no longer than 20,000 characters."
},
"name": {
"type": "string",
"description": "The new name for the field (optional)."
},
"options": {
"type": "object",
"description": "Type-specific field options to update.",
"properties": {
"formula": {
"type": "string",
"description": "The new formula expression (formula fields only). Field references can use field IDs (e.g., {fldXXXXXXXXXXXXXX}) or field names (e.g., {My Field})."
}
}
}
},
"required": [
"PCID",
"baseId",
"tableId",
"columnId"
]
}
airtable_update_interface_collaborator
Update interface collaborator Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
baseId | string | Yes | — | Base Id |
pageBundleId | string | Yes | — | Page Bundle Id |
userOrGroupId | string | Yes | — | User Or Group Id |
permissionLevel | string | Yes | — | Permission Level |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"pageBundleId": {
"type": "string",
"description": "Page Bundle Id"
},
"userOrGroupId": {
"type": "string",
"description": "User Or Group Id"
},
"permissionLevel": {
"type": "string",
"description": "Permission Level",
"enum": [
"read",
"comment",
"edit"
]
}
},
"required": [
"PCID",
"baseId",
"pageBundleId",
"userOrGroupId",
"permissionLevel"
]
}
airtable_update_multiple_records
Update multiple records Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
baseId | string | Yes | — | Base Id | |
tableIdOrName | string | Yes | — | Table Id Or Name | |
performUpsert | object | No | — | Enables upsert behavior when set. fieldsToMergeOn will be used as an external ID to match records for updates. For records where no match is found, a new Airtable record will be created. | |
records | object[] | Yes | — | The records value | |
returnFieldsByFieldId | boolean | null | No | — | If set to true, records in the API response will key the fields object by field ID. Defaults to false when unset, which returns fields objects keyed by field name. |
typecast | boolean | null | No | — | If set to true, Airtable will try to convert string values into the appropriate cell value. This conversion is only performed on a best-effort basis. To ensure your data’s integrity, this should only be used when necessary. Defaults to false when unset. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"baseId": {
"type": "string",
"description": "Base Id"
},
"tableIdOrName": {
"type": "string",
"description": "Table Id Or Name"
},
"performUpsert": {
"type": "object",
"description": "Enables upsert behavior when set. **fieldsToMergeOn** will be used as an external ID to match records for updates. For records where no match is found, a new Airtable record will be created.",
"properties": {
"fieldsToMergeOn": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array with at least one and at most three field names or IDs. IDs must uniquely identify a single record. These cannot be computed fields (formulas, lookups, rollups), and must be one of the following types: number, text, long text, single select, multiple select, date."
}
},
"required": [
"fieldsToMergeOn"
]
},
"records": {
"type": "array",
"items": {
"type": "object",
"properties": {
"fields": {
"type": "object",
"description": "The fields value"
},
"id": {
"type": "string",
"description": "The ID of the record to update. Required when **performUpsert** is undefined."
}
},
"required": [
"fields"
]
},
"description": "The records value"
},
"returnFieldsByFieldId": {
"type": [
"boolean",
"null"
],
"description": "If set to `true`, records in the API response will key the **fields** object by field ID. Defaults to `false` when unset, which returns **fields** objects keyed by field name."
},
"typecast": {
"type": [
"boolean",
"null"
],
"description": "If set to `true`, Airtable will try to convert string values into the appropriate cell value. This conversion is only performed on a best-effort basis. To ensure your data's integrity, this should only be used when necessary. Defaults to `false` when unset."
}
},
"required": [
"PCID",
"baseId",
"tableIdOrName",
"records"
]
}
airtable_update_record
Update record Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
baseId | string | Yes | — | Base Id | |
tableIdOrName | string | Yes | — | Table Id Or Name | |
recordId | string | Yes | — | Record Id | |
fields | object | Yes | — | The fields value | |
returnFieldsByFieldId | boolean | null | No | — | An optional boolean value that lets you return field objects keyed by the field id. This defaults to false, which returns field objects where the key is the field name. |
[...]
